Bug 1352516 (zendframework/zend-expressive-aurarouter)

Summary: Review Request: php-zendframework-zend-expressive-aurarouter - Aura.Router integration for Expressive
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Shawn Iwinski <shawn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, shawn
Target Milestone: ---Flags: shawn: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-30 18:24:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1352468, 1352469    
Bug Blocks: 1352536, 1357393    
Attachments:
Description Flags
phpcompatinfo-full.log
none
phpcompatinfo-lib.log
none
fedora-review.txt none

Comment 1 Shawn Iwinski 2016-07-18 21:34:12 UTC
Created attachment 1181311 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST

Comment 2 Shawn Iwinski 2016-07-18 21:34:30 UTC
Created attachment 1181312 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST

Comment 3 Shawn Iwinski 2016-07-18 21:34:55 UTC
Created attachment 1181313 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1352516
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-07-18 21:35:16 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers

===== APPROVED =====

Comment 5 Remi Collet 2016-07-19 06:25:04 UTC
Thanks for the review.

New package requested.

Comment 6 Gwyn Ciesla 2016-07-19 15:34:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-expressive-aurarouter

Comment 7 Fedora Update System 2016-07-20 07:01:00 UTC
php-zendframework-zend-expressive-1.0.0-2.fc24 php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24 php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24 php-zendframework-zend-expressive-helpers-2.0.0-1.fc24 php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24 php-zendframework-zend-expressive-router-1.2.0-2.fc24 php-zendframework-zend-expressive-template-1.0.3-2.fc24 php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24 php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24 php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24 php-zendframework-zend-stratigility-1.2.1-2.fc24 php-aura-router-2.3.0-1.fc24 php-aura-di-2.2.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-715702a930

Comment 8 Fedora Update System 2016-07-21 04:21:45 UTC
php-aura-di-2.2.4-1.fc24, php-aura-router-2.3.0-1.fc24, php-zendframework-zend-expressive-1.0.0-2.fc24, php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24, php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24, php-zendframework-zend-expressive-helpers-2.0.0-1.fc24, php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24, php-zendframework-zend-expressive-router-1.2.0-2.fc24, php-zendframework-zend-expressive-template-1.0.3-2.fc24, php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24, php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24, php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24, php-zendframework-zend-stratigility-1.2.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-715702a930

Comment 9 Fedora Update System 2016-07-30 18:24:26 UTC
php-aura-di-2.2.4-1.fc24, php-aura-router-2.3.0-1.fc24, php-zendframework-zend-expressive-1.0.0-2.fc24, php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24, php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24, php-zendframework-zend-expressive-helpers-2.0.0-1.fc24, php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24, php-zendframework-zend-expressive-router-1.2.0-2.fc24, php-zendframework-zend-expressive-template-1.0.3-2.fc24, php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24, php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24, php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24, php-zendframework-zend-stratigility-1.2.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.